@import "styles/variables";

@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
@import "~bootstrap/scss/root";
@import "~bootstrap/scss/reboot";

@import "~bootstrap/scss/containers"; // Add .container and .container-fluid classes
@import "~bootstrap/scss/grid"; // Add the grid system
@import "~bootstrap/scss/utilities"; // Configures the utility classes that should be generated
@import "~bootstrap/scss/utilities/api"; // Generates the actual utility classes

@import "styles/reset";

@import "~@angular/material/theming";
$custom-typography: mat-typography-config(
  $font-family: '"Manrope", sans-serif',
);
@include mat-core($custom-typography);

$orange-deep: #ff6f00;
$orange-light: #ffc77d;
$text-color: #fce7cc;
$my-grey: #222;

html,
body {
  height: 100%;
}
body {
  margin: 0;
  // font-family: Roboto, "Helvetica Neue", sans-serif;
  font-family: "Manrope", sans-serif;
  color: #fce7cc;
}

.no-margin {
  margin: 0;
}

.w-100 {
  width: 100%;
}

.h-100 {
  height: 100%;
}

.center-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.rounded {
  border-radius: 5px;
}

.bg-color {
  background-image: linear-gradient(rgba(0, 0, 0, 0.85), rgba(0, 0, 0, 0.95)),
    url("/assets/img/movies-grid.jpg");
  background-color: black;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  width: 100%;
  height: 100%;
  color: #fce7cc;
}
